// Copyright 1995 by Jon Dart.  All Rights Reserved.
// srcoptsh.cpp : implementation file
//

#include "stdafx.h"
#include "srcoptsh.h"
#include "constant.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif


static const DWORD helpIDs[] =
{
    1015,
    1018
};

/////////////////////////////////////////////////////////////////////////////
// CSearchOptionsSheet

IMPLEMENT_DYNAMIC(CSearchOptionsSheet, CPropertySheet)

CSearchOptionsSheet::CSearchOptionsSheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
}

CSearchOptionsSheet::CSearchOptionsSheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
}

CSearchOptionsSheet::~CSearchOptionsSheet()
{
}

BEGIN_MESSAGE_MAP(CSearchOptionsSheet, CPropertySheet)
	//{{AFX_MSG_MAP(CSearchOptionsSheet)
        ON_COMMAND(ID_HELP,OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CSearchOptionsSheet::OnHelp()
{
    AfxGetApp()->WinHelp(helpIDs[GetPageIndex(GetActivePage())]);
}

